package com.elab.redis.redisson.doc;

import com.elab.redis.RedisSpringBoot;
import org.junit.Test;
import org.redisson.api.RLock;

import java.util.concurrent.TimeUnit;

/**
 * @author ： liukx
 * @time ： 2020/7/9 - 17:00
 */
public class DistributedLocksAndSynchronizersTest extends RedisSpringBoot {

    @Test
    public void lockTest() {
        RLock lock = client.getLock("anyLock");
        lock.lock(10, TimeUnit.SECONDS);
    }
}
